summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuke <luke@lukesmith.xyz>2018-02-12 09:57:31 -0700
committerLuke <luke@lukesmith.xyz>2018-02-12 09:57:31 -0700
commita4d11754f3c329fa57c537259cca5186eeddb18a (patch)
treef86aac590b3b411174dac97b47ea00baa44eb160
parentb61b24185ac0b60bc4928dc16efdeb56b552475b (diff)
documentation fix for gpg2 distros
-rw-r--r--README.md2
-rwxr-xr-xmutt-wizard.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/README.md b/README.md
index 23ba238..9869758 100644
--- a/README.md
+++ b/README.md
@@ -23,7 +23,7 @@ The email accounts that *won't* work with the script would include Proton Mail a
## Installation and Dependencies
-dialog, neomutt and offlineimap should be installed. The contents of this repo should go directly in `~/.config/mutt/` and run from there. You also need to have a GPG public/private key pair for the wizard to automatically store your passwords. Otherwise you'll have to store them insecurely in plaintext files without the help of the wizard.
+dialog, neomutt and offlineimap should be installed. The contents of this repo should go directly in `~/.config/mutt/` and run from there. You also need to have a GPG public/private key pair for the wizard to automatically store your passwords. Otherwise you'll have to store them insecurely in plaintext files without the help of the wizard. As a note, if you uuse a distribution like Void that uses GPG2 and not GPG, you should symlink /usr/bin/gpg to /usr/bin/gpg2 or wherever the GPG2 binary lives.
Just run `mutt-wizard.sh` for all the options.
diff --git a/mutt-wizard.sh b/mutt-wizard.sh
index 384efad..3ce8c27 100755
--- a/mutt-wizard.sh
+++ b/mutt-wizard.sh
@@ -88,7 +88,7 @@ addAccount \
addAccount() {
# First, adding the encrypted password.
dialog --title "Luke's mutt/offlineIMAP password wizard" --passwordbox "Enter the password for the \"$title\" account." 10 60 2> /tmp/$title
- gpg -r $gpgemail --encrypt /tmp/$title
+g pg -r $gpgemail --encrypt /tmp/$title || (dialog --title "GPG decryption failed." --msgbox "GPG decryption failed. This is either because you do not have a GPG key pair or because your distro uses GPG2 and you thus need to symlink /usr/bin/gpg to /usr/bin/gpg2." 7 60 && break)
shred -u /tmp/$title
mv /tmp/$title.gpg ~/.config/mutt/credentials/